Subject: bug#37221: 27.0.50; gnus fails to open connection post-NSM update

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Sep 2019 11:33:41 +0200

>>>>> On Thu, 29 Aug 2019 11:56:27 -0500, Alex Branham <[email-masked]> said:

    Alex> Hi -
    Alex> After the recent NSM update gnus fails to open my mail with this message:

    Alex> Warning: Opening nnimap server on LocalMail...failed: ; Unable to open server nnimap+LocalMail due to: Buffer  *nnimap localhost nil  *nntpd** has no process

    Alex> My setup is that I use mbsync/isync to download the mail and run dovecot
    Alex> read the maildir and host it as an imap server. Since it's local it's
    Alex> not encrypted. Setting network-security-protocol-checks to nil does not
    Alex> change anything. I've only recently started using dovecot/gnus so it's
    Alex> possible I've done something silly but it was working before the NSM
    Alex> update (at commit ef8531d262081d91ecf2a4f349bc63a0fede90d4) and isn't
    Alex> working as of 4b87169d113a151e5d9d6cf7b0d7cb4fb1d3d2d7.

Can you show us your Gnus configuration? Also, what is your
'network-security-level' set to?

Robert